Subject: Re: [PATCH] cvsimport move over to using git for each ref to read refs

From: Andy Whitcroft <[email-masked]>
Date: Wed, 20 Sep 2006 11:26:05 +0100

Jakub Narebski wrote:
> Andy Whitcroft wrote:
> 
>> +       open(H, "git-for-each-ref --format='%(objectname) %(refname)'|") or
> 
> By the way, this is equivalent to using "git-show-ref" introduced by Linus.
> But if you want commit timestamp
> 
>> cvsimport opens all of the files in $GIT_DIR/refs/heads and reads
>> out the sha1's in order to work out what time the last commit on
>> that branch was made (in CVS) thus allowing incremental updates.
> 
> you can use it in --format as well.

Unfortuantly, for-each-ref only offers us the textual version of this
information not the numeric offset from the epoch which is what
cvsimport is after.

I guess we could teach for-each-ref to output this as well?  Perhaps
something like authorstamp?

-apw